> ## Documentation Index
> Fetch the complete documentation index at: https://docs.herondata.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Refresh assets reports for integration links

> Refresh assets reports for an integration and specific end user. This will trigger a refresh operation for all active Plaid assets report links associated with the integration and end user.




## OpenAPI

````yaml https://app.herondata.io/swagger put /api/integrations/{heron_id}/links
openapi: 3.0.0
info:
  contact:
    email: support@herondata.io
    name: Support
  title: Heron Data API
  version: '2021-07-19'
servers:
  - description: Production
    url: https://app.herondata.io
security:
  - ApiKeyAuth:
      - key_XXX
externalDocs:
  description: Read Tutorial
  url: https://docs.herondata.io/
paths:
  /api/integrations/{heron_id}/links:
    put:
      tags:
        - Integrations
      summary: Refresh assets reports for integration links
      description: >
        Refresh assets reports for an integration and specific end user. This
        will trigger a refresh operation for all active Plaid assets report
        links associated with the integration and end user.
      parameters:
        - description: The Integration's heron_id
          in: path
          name: heron_id
          required: true
          schema:
            type: string
        - description: Filter to refresh only links for this specific end user
          in: query
          name: end_user_id_or_heron_id
          required: false
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RefreshAssetsReportsResponseSchema'
          description: Assets reports refresh completed successfully
        '404':
          description: Integration not found or no assets reports found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RefreshAssetsReportsResponseSchema'
          description: Some assets reports failed to refresh (partial success)
      security:
        - ApiKeyAuth: []
components:
  schemas:
    RefreshAssetsReportsResponseSchema:
      properties:
        failed_links:
          description: Array of item_ids that failed to refresh
          example:
            - item_123
            - item_456
          items:
            type: string
          type: array
        processed_links:
          description: Number of links processed for refresh
          example: 2
          type: integer
      required:
        - failed_links
        - processed_links
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: x-api-key
      type: apiKey

````